Bug 1873084 (CVE-2020-24342)

Summary: CVE-2020-24342 lua: buffer overflow in luaO_pushvfstring
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: drjohnson1, fedora, hdegoede, michel, moceap, packaging-team-maint, rob.myers, scorneli, spotrh
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-09-15 19:17:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1873085    
Bug Blocks: 1873086    

Description Dhananjay Arunesh 2020-08-27 10:34:52 UTC
Lua through 5.4.0 allows a stack redzone cross in luaO_pushvfstring because a protection mechanism wrongly calls luaD_callnoyield twice in a row.

References:
http://lua-users.org/lists/lua-l/2020-07/msg00052.html
https://github.com/lua/lua/commit/34affe7a63fc5d842580a9f23616d057e17dfe27

Comment 1 Dhananjay Arunesh 2020-08-27 10:35:37 UTC
Created lua tracking bugs for this issue:

Affects: fedora-all [bug 1873085]

Comment 2 Cedric Buissart 2020-09-08 13:42:17 UTC
Statement:

The versions of lua shipped in Red Hat Enterprise Linux 6, 7 and 8 are not affected by this issue : versions of lua prior to 5.4.0 had a different C-stack overflow control, which did not trigger this flaw.

Comment 4 Product Security DevOps Team 2020-09-15 19:17:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-24342